%define pkgname Kolab
%define snap 20050801

Summary:	Kolab - Perl extension for general Kolab settings
Name:		perl-%{pkgname}
Version:	0.9.3
Release:	%mkrel 0.%{snap}.3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	%{pkgname}-%{version}-%{snap}.tar.bz2
Patch0:		Kolab-0.9.2-mdk_conf.diff
Patch1:		Kolab-0.9.3-20050801-one_user.diff
BuildRequires:	perl-devel
BuildRequires:	perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Kolab contains code used for loading the configuration values from
kolab.conf and LDAP, as well as functions for logging.

%prep

%setup -q -n %{pkgname}-%{version}-%{snap}
%patch0 -p0
%patch1 -p0

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# fix config file location
perl -pi -e "s|^require \"config\.h\"\;|require \"%{_sysconfdir}/kolab/config\.h\"\;|g" *.pm

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Kolab.pm
%{_mandir}/*/*


%changelog
* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 12:14:06 (63349)
- rebuild

* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 11:47:50 (63330)
- Import perl-Kolab


* Sun Aug 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.20050801.2mdk
- added P1 to stop giving errors when there's no kolab-n 
  and kolab-r users

* Mon Aug 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.20050801.1mdk
- use a cvs snap instead

* Tue Jul 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-4mdk
- fix P0 (new patch from CVS
- moved needed parts from the old P0 into P1

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-3mdk
- fix P0

* Fri Jul 08 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.2-2mdk
- fix slapsswd path

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- initial Mandriva package
